unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, TAGraph, TASources,
  TASeries, TAChartUtils;

type

  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1LineSeries1: TLineSeries;
    ListChartSource1: TListChartSource;
    procedure FormCreate(Sender: TObject);
  private
    procedure PrepareChart;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  Randomize;
  PrepareChart;
end;

procedure TForm1.PrepareChart;
var
  i: Integer;
begin
  Chart1LineSeries1.Source := ListChartSource1;
  Chart1.BottomAxis.Marks.Source := ListChartSource1;
  Chart1.BottomAxis.Marks.Style := smsLabel;
  Chart1.BottomAxis.Marks.LabelFont.Orientation := 900;
  ListChartSource1.Clear;
  for i := 1 to 30 do
    ListChartSource1.Add(i, Random(30) + 1, '2024-08-' + FormatFloat('00', i));
end;

end.

